Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateVariableElement Class Reference
Template system » Template elements

Represents a variable element in the template tree. More...

## Public Member Functions
| __construct ( $data)
| name ()
| serializeData ()
| process ( $tpl, &$text, $nspace, $current_nspace)
| variable ()

## Public Attributes
| $Variable
| The variable array. More...

## Detailed Description

Represents a variable element in the template tree.

The element contains the variable and all it's operators.

Definition at line 19 of file eztemplatevariableelement.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateVariableElement::__construct | ( |  | $data | ) |

Initializes the object with the value array and operators.

Parameters

  mixed | $data |

Definition at line 26 of file eztemplatevariableelement.php.

## Member Function Documentation

## ◆ name()

eZTemplateVariableElement::name | ( |  | ) |

Returns variable.

Definition at line 34 of file eztemplatevariableelement.php.

## ◆ process()

eZTemplateVariableElement::process | ( |  | $tpl,
|  | & | $text,
|  |  | $nspace,
|  |  | $current_nspace
| ) |  |

Process the variable with it's operators and appends the result to $text.

Definition at line 49 of file eztemplatevariableelement.php.

## ◆ serializeData()

eZTemplateVariableElement::serializeData | ( |  | ) |

Definition at line 39 of file eztemplatevariableelement.php.

## ◆ variable()

eZTemplateVariableElement::variable | ( |  | ) |

Returns the variable array.

Definition at line 58 of file eztemplatevariableelement.php.

References $Variable.

## Member Data Documentation

## ◆ $Variable

eZTemplateVariableElement::$Variable

The variable array.

Definition at line 64 of file eztemplatevariableelement.php.

Referenced by variable().

The documentation for this class was generated from the following file:

- eztemplatevariableelement.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.